<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: BITCrashMetaData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_49a645ee7d46e292cbaf637684ef7611.html">HockeySDK-iOS</a></li><li class="navelem"><a class="el" href="dir_7b1ec84dec2ed46a86e6b2d0584d129b.html">HockeySDK.embeddedframework</a></li><li class="navelem"><a class="el" href="dir_799c33daa5cf65f5cc0c162f07261f12.html">HockeySDK.framework</a></li><li class="navelem"><a class="el" href="dir_a869312f20d13c28c556ed6b244cc00d.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">BITCrashMetaData.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Author: Andreas Linde &lt;mail@andreaslinde.de&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Copyright (c) 2012-2014 HockeyApp, Bit Stadium GmbH.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * obtaining a copy of this software and associated documentation</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * files (the &quot;Software&quot;), to deal in the Software without</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * restriction, including without limitation the rights to use,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * copy, modify, merge, publish, distribute, sublicense, and/or sell</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * copies of the Software, and to permit persons to whom the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * Software is furnished to do so, subject to the following</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * conditions:</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * included in all copies or substantial portions of the Software.</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * OTHER DEALINGS IN THE SOFTWARE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="interface_b_i_t_crash_meta_data.html">   35</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_b_i_t_crash_meta_data.html">BITCrashMetaData</a> : NSObject</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="interface_b_i_t_crash_meta_data.html#a428b4d970e1659f6e9932154ecd74494">   40</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) NSString *<a class="code" href="interface_b_i_t_crash_meta_data.html#a428b4d970e1659f6e9932154ecd74494">userProvidedDescription</a>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="interface_b_i_t_crash_meta_data.html#a3d8c3a247f77bc9de33a806116673dd4">   45</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) NSString *<a class="code" href="interface_b_i_t_crash_meta_data.html#a3d8c3a247f77bc9de33a806116673dd4">userName</a>;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="interface_b_i_t_crash_meta_data.html#a45a744b8de4bd78f0d48db5e8adff136">   50</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) NSString *<a class="code" href="interface_b_i_t_crash_meta_data.html#a45a744b8de4bd78f0d48db5e8adff136">userEmail</a>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="interface_b_i_t_crash_meta_data.html#a82068398c1cb9700a70841d5c62b2de0">   55</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) NSString *<a class="code" href="interface_b_i_t_crash_meta_data.html#a82068398c1cb9700a70841d5c62b2de0">userID</a>;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_b_i_t_crash_meta_data_html"><div class="ttname"><a href="interface_b_i_t_crash_meta_data.html">BITCrashMetaData</a></div><div class="ttdef"><b>Definition:</b> BITCrashMetaData.h:35</div></div>
<div class="ttc" id="ainterface_b_i_t_crash_meta_data_html_a428b4d970e1659f6e9932154ecd74494"><div class="ttname"><a href="interface_b_i_t_crash_meta_data.html#a428b4d970e1659f6e9932154ecd74494">BITCrashMetaData::userProvidedDescription</a></div><div class="ttdeci">NSString * userProvidedDescription</div><div class="ttdef"><b>Definition:</b> BITCrashMetaData.h:40</div></div>
<div class="ttc" id="ainterface_b_i_t_crash_meta_data_html_a3d8c3a247f77bc9de33a806116673dd4"><div class="ttname"><a href="interface_b_i_t_crash_meta_data.html#a3d8c3a247f77bc9de33a806116673dd4">BITCrashMetaData::userName</a></div><div class="ttdeci">NSString * userName</div><div class="ttdef"><b>Definition:</b> BITCrashMetaData.h:45</div></div>
<div class="ttc" id="ainterface_b_i_t_crash_meta_data_html_a82068398c1cb9700a70841d5c62b2de0"><div class="ttname"><a href="interface_b_i_t_crash_meta_data.html#a82068398c1cb9700a70841d5c62b2de0">BITCrashMetaData::userID</a></div><div class="ttdeci">NSString * userID</div><div class="ttdef"><b>Definition:</b> BITCrashMetaData.h:55</div></div>
<div class="ttc" id="ainterface_b_i_t_crash_meta_data_html_a45a744b8de4bd78f0d48db5e8adff136"><div class="ttname"><a href="interface_b_i_t_crash_meta_data.html#a45a744b8de4bd78f0d48db5e8adff136">BITCrashMetaData::userEmail</a></div><div class="ttdeci">NSString * userEmail</div><div class="ttdef"><b>Definition:</b> BITCrashMetaData.h:50</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
